blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
1367e741178c227e70bbe17ed385ce7a953b72fd | Shell | cpraveen/cfdlab | /mpi_test/pbs.sh | UTF-8 | 771 | 3.109375 | 3 | [] | no_license | #!/bin/sh
#PBS -V
#PBS -m ae
#PBS -M cpraveen@gmail.com
#PBS -N mpi_test
#PBS -o pbs_out.txt
#PBS -e pbs_error.txt
#PBS -l nodes=1:ppn=4
#PBS -q test
cd $PBS_O_WORKDIR
echo "Job began"
echo "Working directory is $PBS_O_WORKDIR"
# Calculate the number of processors allocated to this run.
NPROCS=`wc -l < $PBS_NODEFILE`
... | true |
3cb96ff4fd42c5234e157559286548ac603493e0 | Shell | guolikai/myscripts | /etcd/etcd.sh | UTF-8 | 5,730 | 3.671875 | 4 | [] | no_license | #!/bin/bash
##########################################################################
#Name: etcd.sh
#Version: v3.1.5
#Create_Date: 2017-4-19
#Author: GuoLikai(glk73748196@sina.com)
#Description: "编译安装管理etcd"
##########################################################################
App=etcd-v3.1.5-li... | true |
9575a5ebddc778eb02793bb9e7390659c9c10fd2 | Shell | binaryphile/jiff-personal | /libexec/jiff-add-task | UTF-8 | 1,068 | 3.546875 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Usage: jiff add-task
source "${_JIFF_ROOT}/../../binaryphile/jiff-core/libexec/jiff-add-task"
push_core_task () {
# TODO: check and see if we're on master on jiff-personal first. commit and push jiff-core. mv jiff-personal link to jiff instead of creating and rm'ing?
filename="jiff-${1}"
... | true |
f5351544aaeaa994c8782287439e64aa8c4b9a6b | Shell | dozer47528/home-config | /setup | UTF-8 | 1,294 | 3.578125 | 4 | [] | no_license | #!/bin/bash
set -e
# Check working directory
if [ $HOME == $PWD ]; then
echo "Error: can not put this project in home directory!"
exit -1
fi
if [ ! -f "$PWD/setup" ]; then
echo "Error: please run this command under project directory!"
exit -1
fi
# Check dependency
command -v vim >/dev/null 2>&1 || { echo >&... | true |
2a6efbed7d1d6b96f64dababb4c980cd9c2a4eeb | Shell | MatthiasPolag/Enriching-the-Machine-Learning-Workloads-of-BigBench | /SystemML_Algorithmen/System_ML_svm.sh | UTF-8 | 5,163 | 3.140625 | 3 | [] | no_license | #!/bin/bash
echo "executing query 26"
# Measure time for query execution time
# Start timer to measure data loading for the file formats
STARTDATE="`date +%Y/%m/%d:%H:%M:%S`"
STARTDATE_EPOCH="`date +%s`" # seconds since epochstart
#step 1. NEED TO BE RECOMMENTED, Q renamed!
TEMP_DATA_DIR="/home/user1/MP/tempDa... | true |
3763ca96740228300d6777eb028c77f1e88b2621 | Shell | fromcloud/handson | /hackersEnglish/scripts/install_dependencies.sh | UTF-8 | 144 | 2.734375 | 3 | [] | no_license | #!/bin/bash
if ! [ -x "$(command -v httpd)" ];
then
yum install -y httpd24 >&2;
exit 1;
fi
# install apache if not already installed
| true |
63a53005b43aae8953a2f3c34650e8e1d848572b | Shell | phy2000/presales-demos | /demos/scripts/BDS/kafkaScriptsOLD/kafkaCreateTopic | UTF-8 | 318 | 3.296875 | 3 | [] | no_license | #!/bin/bash
KAFKA_HOME=/opt/kafka
ZOOKEEPER=napslxcdh01:2181
USAGE="Usage: $0 <kafkatopic>"
if [ $# -lt 1 ] ; then
echo $USAGE >&2
exit -1
fi
TOPIC=$1
SCRIPTDIR=$(cd $(dirname $0) && pwd -P)
cd $KAFKA_HOME
bin/kafka-topics.sh --create --zookeeper $ZOOKEEPER --replication-factor 1 --partitions 1 --topic $TOPIC
| true |
5b8d2125533dc0da3fd0d16ccb5847f2d882b344 | Shell | msgpo/osmo-ci | /scripts/osmo-layer1-headers.sh | UTF-8 | 1,463 | 3.953125 | 4 | [] | no_license | #!/bin/sh
# -e: fail if any of the subsequent commands fail
# -x: trace each executed command via debug log
set -e -x
# Usage:
# ./osmo-layer1-headers.sh sysmo superfemto_v5.1
# where 'sysmo' is BTS type and 'superfemto_v5.1' is version specifier (tag or branch for git reset)
# 2nd parameter is optional and defaults ... | true |
346d95fb32112cc183dd00168941bb06bf080b73 | Shell | ivan-petrunko/utils | /autonetworkrestart.sh | UTF-8 | 332 | 3.296875 | 3 | [] | no_license | #!/bin/bash
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
echo Launched at $(date "+%Y-%m-%d %H:%M:%S")
while true; do
if ! [ "`ping -c 1 -W 10 google.com`" ]; then
nmcli networking off && nmcli networking on
echo Network restarted $(date "+%Y-%m-%d %H:%M:%S")
fi
slee... | true |
8958cd632f1f6e5f9091261c3a16ae9ae04f539a | Shell | Driaan/scc-new | /scc-srv-src/sunos-gen-scc-srv | UTF-8 | 3,672 | 3.46875 | 3 | [] | no_license | #!/bin/sh
# Generate Solaris package to install scc-srv by means of pkgadd.
# Copyright (C) 2001-2004 Open Challenge B.V.
# Copyright (C) 2004-2005 OpenEyeT Professional Services.
# Copyright (C) 2005-2018 QNH.
# Copyright (C) 2019 Siem Korteweg.
#
# This program is free software; you can redistribute it and/or modify... | true |
6f0018d428534bc2a3c42ab1c47685cc8c62e8d1 | Shell | BlueDrink9/env | /shell/scripts/myEmacs | UTF-8 | 247 | 2.890625 | 3 | [] | no_license | #!/bin/sh
myEmacsC(){
emacsclient --create-frame --alternate-editor='' -nw "$@"
}
# Use xterm-direct to convince doom emacs to use truecolor
if [ "$COLORTERM" = "truecolor" ]; then
TERM=xterm-direct myEmacsC "$@"
else
myEmacsC "$@"
fi
| true |
482b23bd05b760c31bb7beafed282db36e5e6df4 | Shell | machawk1/wail | /bundledApps/heritrix-3.2.0/bin/foreground_heritrix | UTF-8 | 1,080 | 3.75 | 4 | [
"MIT",
"Apache-2.0",
"LicenseRef-scancode-unknown"
] | permissive | #!/usr/bin/env bash
##
## This script launches the heritrix crawler and keeps the process in foreground
##
## Optional environment variables
##
## JAVA_HOME Point at a JDK install to use.
##
## HERITRIX_HOME Pointer to your heritrix install. If not present, we
## make an educated guess bas... | true |
c9091cc8b8dba39613baf028753d3a376b731adf | Shell | CodeMason/CityGenerator | /runtest.sh | UTF-8 | 927 | 2.84375 | 3 | [] | no_license | #!/bin/bash
if [[ "$1" == "profile" ]] ; then
echo "profiling code"
perl -d:NYTProf ./tests/runtests.pl
rm -rf nytprof.old || echo "no old to remove"
mv nytprof nytprof.old
nytprofhtml --open
elif [[ "$1" == "full" || "$1" == "all" ]] ;then
echo "full test, coverage and profiling"
rm -r... | true |
629f33a7182da2e85ce3aa776e307168393ecb34 | Shell | Liesegang/dotfiles | /zsh/.zshrc | UTF-8 | 4,355 | 3.078125 | 3 | [] | no_license | source $ZDOTDIR/exports.zsh
source $ZDOTDIR/alias.zsh
# 色を使用出来るようにする
autoload -Uz colors
colors
# ヒストリの設定
HISTFILE=~/.zsh_history
HISTSIZE=1000000
SAVEHIST=1000000
# 単語の区切り文字を指定する
autoload -Uz select-word-style
# ここで指定した文字は単語区切りとみなされる
# / も区切りと扱うので、^W でディレクトリ1つ分を削除できる
zstyle ':zle:*' word-chars " /=;@:{},|"
zstyle... | true |
104b0b0816190893d640353b34dd026dcee44b0a | Shell | jvandervelden/clean-path | /run.sh | UTF-8 | 467 | 2.515625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
baseDir=$(dirname `readlink -f "$0"`)
$baseDir/build.sh
docker rm -f cleanpath-ui
docker rm -f cleanpath-service
docker rm -f cleanpath-cleaner
docker network rm cleanPath
docker network create cleanPath
docker run -d --name cleanpath-cleaner --network cleanPath cleanpath-cleaner:1.0.0
docker run -d --nam... | true |
bca05e690bad85e29d01f54a7fd6e30ce12d5f35 | Shell | splatatozor/Redis-mass-insert | /insert_nosql_million.sh | UTF-8 | 455 | 3.4375 | 3 | [] | no_license | #!/bin/bash
# Create database + table + time to insert datas
redis-cli flushall
echo "Earth has been destroyed"
TIME1=`date +%s%N`
redis-cli --eval generate_data_million.lua
TIME2=`date +%s%N`
TIME3=`expr ${TIME2} - ${TIME1}`
# Use expr to do the math, let's say TIME1 was the start and TIME2 was the finish
DIFFSE... | true |
0cd7408b2a37e423f21847e893a4db4fb3fcbff7 | Shell | pinczakko/GraphViz-Samples | /gen_png.sh | UTF-8 | 364 | 4 | 4 | [] | no_license | #!/bin/sh
if [ $# == 1 ] ; then
## echo "Number of arguments = $#"
if [ -f $1 ] ; then
# name without extension
name=${1%\.*}
echo "Input filename is (w/ extension): $1"
echo "Input filename is (w/o extension): ${name}"
dot -Tpng $1 -o ${name}.png
else
echo "ERROR: $1 file does not exist!"
... | true |
0255c201b1a1246b60d3c642b71ee2d10ed2d605 | Shell | ripples3/sysadmin-shell-scripts | /server_management/Debian/install_salt_minion.sh | UTF-8 | 1,562 | 4.4375 | 4 | [] | no_license | #!/bin/bash
#####################################################
# #
# A shell script to install Salt-Minion on Debian #
# #
#####################################################
# check if the current user is root
... | true |
55bcdfdc245ec20badadc17cd90c09dfcecc1489 | Shell | andreaswendlandt/sysadmin_everyday_tools | /iptables_fix.sh | UTF-8 | 1,143 | 3.53125 | 4 | [] | no_license | #!/bin/bash
# author: guerillatux
# desc: simple iptables based firewall for ipv4 and ipv6, udp and tcp
# last modified: 07.03.2016
# ensure that it works for both, ipv4 and ipv6
IPT () {
iptables $@
ip6tables $@
}
# remove everything and start from scratch
IPT -F INPUT
IPT -F OUTPUT
IPT -F FORWARD
# deny ever... | true |
3df65daccf8b4bc765dccfee676ee1fe69a5a621 | Shell | RushikeshDapurkar/multi-cloud | /installer/install_dependencies.sh | UTF-8 | 2,223 | 3.671875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Install dependencies
echo Installing dependencies
apt-get install -y curl wget libltdl7 libseccomp2 libffi-dev apt-transport-https ca-certificates gnupg gnupg-agent lsb-release software-properties-common sshpass pv gawk
# Enable docker repository
echo Enabling docker repository
mkdir -p /etc/apt/keyrin... | true |
925d37e364eef0ab1b751f55836042cbd6b8707c | Shell | fdesjardins/config | /bin/git-restamp-all | UTF-8 | 234 | 3.546875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
datecal="$1"
from="$2"
to="$3"
if [[ -z "$to" ]]; then
to="HEAD"
fi
echo $from
echo $to
commits=`git rev-list --boundary $from..$to | sed s/-//g`
for commit in $commits
do
git restamp "$commit" "$datecal"
done | true |
3effd117faef6898d8ca4bdddc980f64610258b7 | Shell | adyang/dotfiles | /test/install.bats | UTF-8 | 9,043 | 3.21875 | 3 | [] | no_license | #!/usr/bin/env bats
load 'libs/bats-support/load'
load 'libs/bats-assert/load'
load 'mock_helper'
setup() {
tmp_dot_home="$(mktemp -d)"
DOT_HOME="${tmp_dot_home}"
tmp_script_dir="$(mktemp -d)"
source "${BATS_TEST_DIRNAME}/../install"
}
teardown() {
rm -rf "${tmp_dot_home}"
rm -rf "${tmp_script_dir}"
}
... | true |
c6f559b9910a9cf3c7a0d57e875e166754248cf1 | Shell | jseidman/cmapi | /deploy/scripts/setup-aws-hosts.sh | UTF-8 | 2,357 | 3.765625 | 4 | [] | no_license | #!/bin/bash
# Licensed to Cloudera, Inc. under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. Cloudera, Inc. licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use ... | true |
e60f4405c10588d3d45ed19da5e20a87f5688e82 | Shell | RiderSargent/dotfiles | /bin/shell_colors | UTF-8 | 3,456 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# ANSI codes - separate with semicolons in escape code to combine.
# Charactors
# 0 - Normal
# 1 - Bold
# 4 - Underline
# 5 - Blinking
# 7 - Reverse
# Forground
# 30 - Black
# 31 - Red
# 32 - Green
# 33 - Yellow
# 34 - Blue
# 35 - Magenta
# 36 - Cyan
# 37 - White
# Background
# 40 - Black
# 41 - Red
# 42... | true |
6a02644e394d7375b24feb3d3a6a72f8101dcbdb | Shell | AdamDlubak/l1-2018 | /project/Task_5/task.sh | UTF-8 | 1,483 | 3.734375 | 4 | [] | no_license | #!/bin/bash
if [ "$1" == "-h" ]; then
printf "\n\t-----------------------------\n"
printf "\nKorzystając z mechanizmu opisanego tutaj napisz skrypt, który będzie przyjmował wartość liczbową i adre email w linii poleceń a następnie wysyłał wiadomosc emaila (Vagrant pozwala wysyłać wiadomości tylko z konta r... | true |
ea92a50f6fe3749333a6d3bd6d9caf428933c401 | Shell | BBezaire/graylog-project | /scripts/start-web-dev | UTF-8 | 290 | 3 | 3 | [] | no_license | #!/bin/sh
prefix=$(dirname $0)
. ${prefix}/includes
check_for_server_dir
pushd 2> /dev/null
if [ ! -d ${webIfDir}/node ] || [ ! -d ${webIfDir}/node_modules ]; then
cd ${serverDir}/graylog2-server
mvn generate-resources
fi
cd $webIfDir
PATH=$PATH:node npm start
popd 2> /dev/null
| true |
64871d5bfea4a1903fbe861b5b7bbd143d1cd102 | Shell | june-yang/diskimage-builder | /diskimage_builder/elements/fedora/environment.d/10-fedora-distro-name.bash | UTF-8 | 188 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | export DISTRO_NAME=fedora
export DIB_RELEASE=${DIB_RELEASE:-25}
if [ -n "${DIB_FEDORA_DISTRIBUTION_MIRROR:-}" ]; then
export DIB_DISTRIBUTION_MIRROR=$DIB_FEDORA_DISTRIBUTION_MIRROR
fi
| true |
9517fc844951fd29cb382fc56898cb89973bf22f | Shell | 987Frogh/Makehuman | /win-installer/build-installer.sh | UTF-8 | 2,911 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright 2016 Christoph Reiter, 2019 Dan Yeaw
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
... | true |
fe705aba8fbabdf51ab7b6ed115b2b739b364df2 | Shell | lsgos/MPhysPulsars | /frb_cands/ninjector_tests/ninjectorrun.sh | UTF-8 | 1,831 | 3.125 | 3 | [] | no_license | #!/bin/bash
list=$1
while read line
do
workdir=/scratch/mmalenta/ninjector_tests
export OMP_NUM_THREADS=16
filename=$(basename $line)
sourcename=$(echo $filename | sed 's/\([a-zA-Z0-9_\-]*\)_gsb.*/\1/')
mkdir ${sourcename}
cd ${sourcename}
#rsync -avz --progress -e 'ssh -i /home/mmale... | true |
fa83cc44bba657b280977818e429a421c70b109b | Shell | hanbingjia/generate_bash_tool | /bash_count.sh | UTF-8 | 107 | 2.515625 | 3 | [] | no_license | #!/bin/sh
count=`awk -F'[ :]+' '{++S[$NF]} END {for (key in S) print key,S[key]}' /etc/passwd`
echo $count
| true |
851ba094a7b8b5d7aa84eee152e9bfc4d3559fa7 | Shell | seamster/soundcloud-dl | /soundcloud.sh | UTF-8 | 1,370 | 4.0625 | 4 | [
"Beerware"
] | permissive | #!/bin/bash
#soundcloud music downloader by http://360percents.com - v3.0 on Nov 1st 2011
#Author: Luka Pusic <pusic93@gmail.com>
echo "[i] soundcloud.com music downloader by http://360percents.com (wget version)";
if [ -z "$1" ]; then
echo "";echo "[i] Usage: `basename $0` http://soundcloud.com/link_with_tracks_on_... | true |
c152f5dccee9079b086e98dcf8a01760fb2d9318 | Shell | richardseberino/DeviceID | /buildBackEndDockerImage.sh | UTF-8 | 481 | 3.375 | 3 | [] | no_license | # Para rodar corretamente o script deve-se:
# 1- rodar chmod +x buildBackEndDockerImage.sh
# 2- ./buildBackEndDockerImage.sh <nome da imagem> <porta>
# Construindo a imagem do backEnd
echo 'Criando a imagem do backEnd no Docker com o nome passado por parâmetro'
docker build -t "$1" .
echo 'Mensagem criada com sucesso'... | true |
02cde24740bb20f6571f278c0d54114a99e8d672 | Shell | naveenmahadevuni/incubator-trafodion | /core/sqf/src/seabed/test/goshell124 | UTF-8 | 2,039 | 3.265625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# @@@ START COPYRIGHT @@@
#
# (C) Copyright 2011-2014 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/lic... | true |
facaaed7adc667f836a62ca90f58959a9c491bb1 | Shell | uday745/DEVOPS | /shell scripts/if_conditions.txt | UTF-8 | 878 | 3.3125 | 3 | [] | no_license | #!/bin/bash
count=2
if [ $count -gt 0 ];then
echo "count is positive"
printf "My current working directory \n $PWD \n"
fi
---------------------------------------
#!/bin/bash
count=-2
if [ $count -gt 0 ];then
echo "count is positive"
printf "My current working directory \n $PWD \n"
else
echo "count ... | true |
4df35278d3924c5910f0c178bf67c8f7eb7bb2d2 | Shell | sqtpm/sqtpm | /Utils/vbox-etc-shared.sh | UTF-8 | 551 | 3.21875 | 3 | [
"WTFPL"
] | permissive | #!/bin/bash
# VM-side executir for VirtualBox with a shared directory.
# This file is part of sqtpm.
sharedd=/media/sf_aux
dir=$1
input=$2
lang=$3
cputime=$4
virtmem=$5
stkmem=$6
cd $sharedd/$dir &>/dev/null
umask 0000
tag=${input/.in/}
if [[ "$lang" == "Python3" ]]; then
bash -c "ulimit -c 0 -t $cputime -v $... | true |
0b9e1a72d229a2a26175ec65e29c34602104ad26 | Shell | mikeylienxvi/hacklab | /hacktools/vpnmon/auth/auth | UTF-8 | 509 | 3.21875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
if [ `expr match "$username" '^.*@itbhu[.]ac[.]in'` -eq 0 ]
then
username="${username}@itbhu.ac.in"
fi
blacklisted=`cat /etc/openvpn/blacklist`
declare -A blacklist
for bluser in $blacklisted
do
blacklist[$bluser]=1
done
if [[ ${blacklist[$username]} ]]
then
exit 1
fi
outp=$(curl --silent --locat... | true |
f3f85fcc937dffd42d38b24c793eb7624430a3fd | Shell | alittlebrighter/scripts | /gcloud/svcaccount/create.sh | UTF-8 | 605 | 3.03125 | 3 | [] | no_license | #!/usr/bin/env bash
# exported from COACH - https://github.com/alittlebrighter/coach
#-ALIAS- = gcloud.svcaccount.create
# -TAGS- = gcloud,service account
#-SHELL- = bash
#
#-DOCUMENTATION- !DO NOT EDIT THIS LINE!
# Creates a new service account for Google Cloud.
#
#-SCRIPT- !DO NOT EDIT THIS LINE!
NAME=$1
PROJECT=$2... | true |
f1e2c0b3956017a9e1fe80ef877c5ad75a374efe | Shell | OpenSmalltalk/opensmalltalk-vm | /platforms/unix/config/squeak.sh.in | UTF-8 | 2,068 | 3.890625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# Run the VM, setting SQUEAK_PLUGINS if unset to the VM's containing directory
# if unset, and ensuring LD_LIBRARY_PATH includes the VM's containing directory.
BIN=`/usr/bin/dirname "$0"`/@expanded_relative_imgdir@
GDB=
if [ "${SQUEAK_PLUGINS-unset}" = unset ]; then
export SQUEAK_PLUGINS="$BIN"
fi
if [ "$1" ... | true |
be5e9c18bc2936209c77d589025a2e8fc2bfc88e | Shell | RoxanneDewing/SAT-Project | /FinalProject/minisat_standard_tasks_alt.sh | UTF-8 | 678 | 2.6875 | 3 | [] | no_license | #!/bin/bash
for q in {1..9}
do
echo "Checking grid0$q"
cat grid0$q.txt | python3 sud2sat_alt.py > alt_sat_input0$q.txt
minisat alt_sat_input0$q.txt alt_sat_output0$q.txt
python3 sat2sud.py alt_sat_output0$q.txt > alt_solution0$q.txt
python3 check_sudoku.py < alt_solution0$q.txt
echo "----------------------------... | true |
e0065c4d35f57025a774764f3504cb720c46114e | Shell | teja624/home | /.zsh/modules/aws/lib/sh/api/ssm/maintenance_window_delete.sh | UTF-8 | 161 | 2.65625 | 3 | [
"Apache-2.0"
] | permissive | aws_ssm_maintenance_window_delete() {
local window_id="$1"
shift 1
cond_log_and_run aws ssm delete-maintenance-window --window-id $window_id "$@"
}
| true |
e4367331fa24ac6602612eb17f17d243c7b5bd46 | Shell | jamie-ryan/Scripts | /ssh-test.sh~ | UTF-8 | 327 | 2.5625 | 3 | [] | no_license | #!/bin/bash
#ps aux | grep jsr2 shows all processes
#can then get access to files on local machine using ssh://jsr2@localhost:2222
if [[ $(ps aux | grep ssh | grep gate ) ]]
then
# ssh -f jsr2@gate.mssl.ucl.ac.uk -L 8080:msslex:22 -N
ssh -YC jsr2@gate.mssl.ucl.ac.uk -L 8080:msslex:22 -N
fi
#ssh -p 8080 -YC j... | true |
a2668d077d63f48e0febd871dd22b342adb39a04 | Shell | Enterprise-System-Management-Solutions/Data-pipeline-scripts | /mediation01/unix/script/process/bin/msc_move/nokia_msc_move_msc_new_1.sh | UTF-8 | 678 | 2.96875 | 3 | [] | no_license | #!/bin/bash
PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin'
#Author : Tareq
#Date : 07-08-2020
#nokia_msc file transfer 253~239 server and move dump directory
lock=/data02/script/process/bin/nokia_msc_new_1_transfer_lock export lock
if [ -f $lock ] ; then
exit 2
else
to... | true |
faf38f93fb5e2ebb5de292ec49fcfc4dc95540a7 | Shell | laszewski/hugo | /geticon | UTF-8 | 272 | 3.09375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -ex
icons="twitter github"
dest=fontawesome
url=https://raw.githubusercontent.com/FortAwesome/Font-Awesome/master/advanced-options/raw-svg/brands
mkdir -p "${dest}"
for icon in $icons; do
icon="${icon}.svg"
wget -O "${dest}/${icon}" "${url}/${icon}"
done | true |
3bf59dbc97cb4d1c626a5ce3a8401c3ff4fb7125 | Shell | JrMime/fr-MW-autocat-script | /catscripts/Government/Countries/Malaysia/Malaysia.sh | UTF-8 | 228 | 3.203125 | 3 | [] | no_license | #!/bin/bash
egrep -i 'Malaysia\b' newpages.txt >> Malaysia.txt
MALAYSIA=`stat --print=%s Malaysia.txt`
if [ $MALAYSIA -ne 0 ];
then
export CATFILE="Malaysia.txt"
export CATNAME="Malaysia"
$CATEGORIZE
fi
rm Malaysia.txt | true |
40b70de422a201b98e69643c5497155a5edee67e | Shell | nguyensu/pces | /out/artifacts/pces_jar/submitjob.sh | UTF-8 | 715 | 2.59375 | 3 | [] | no_license | #!/bin/bash
EXPNAME="ENSrcjs"
UF="20"
for seed in 1 #{1..30}
do
for nsize in 4
do
for npc in 2
do
for bc in 8
do
for tw in 50
do
for pi in RCJS_1_3_50_40.txt
do
for nr in 1
do
for ntg in 1
do
for sip in 5
do
for mt in 36000
do
for ps in 2000
do
FILE=EXP${EXPNAME}NS${nsize}NPC${npc}BC${bc}TW${tw}PI${pi}NR${nr}NTG${ntg}S... | true |
5dcb05457a84d020e10134bef944201b9b077324 | Shell | waygongNote/scripts | /filename_date.sh | UTF-8 | 406 | 3.359375 | 3 | [] | no_license | # ex. myDate = 1231_2359_2014
myDate=$(echo $(date +%m%d_%H%M_%Y))
if [ $# -ge 1 ] && [ $(echo $0 | tail -c 17) == "filename_date.sh" ]; then
cp -a $1 $(echo $1 | cut -d '.' -f 1)_$myDate.$(echo $1 | cut -d '.' -f 2)
echo $(echo $1 | cut -d '.' -f 1)_$myDate.$(echo $1 | cut -d '.' -f 2)
fi
# (cut can be replaced ... | true |
ae5ed0e2a70114d5d0841cb46e8cd6a27e9fb50c | Shell | JiriSko/amixer-webui | /production/deb-package/DEBIAN/postinst | UTF-8 | 185 | 2.71875 | 3 | [
"MIT",
"Apache-2.0"
] | permissive | #!/bin/sh
path=/usr/share/amixer-webui
if [ ! -e "/etc/amixer-webui.conf" ]
then
cp $path/amixer-webui.conf /etc/amixer-webui.conf
fi
cp $path/amixer-webui /etc/init.d/amixer-webui
| true |
c6ea5a0a1696b89b31b59aff8203d4426f83d992 | Shell | weaver-viii/dotfiles-1 | /bin/scratchpad | UTF-8 | 119 | 2.546875 | 3 | [] | no_license | #!/bin/bash
EXE=$1
INST=$2
i3-window-exists -i $INST || i3-msg "exec $EXE"
i3-msg "[instance=$INST] scratchpad show"
| true |
0f601b87ec5bbc8b02b487bac679c62c0eeb5e57 | Shell | nolanw/acquire | /sparkle/generateDSASignature.sh | UTF-8 | 209 | 3.203125 | 3 | [] | no_license | #!/bin/bash
if [ ! -n "$1" ]
then
echo "Usage: `basename $0` path_to_zipped_release"
exit 1
fi
openssl dgst -sha1 -binary < $1 \
| openssl dgst -dss1 -sign dsa_priv.pem \
| openssl enc -base64
| true |
ee7e8727d6e5fdc554a5ee4dd8624389cb57c335 | Shell | erfg/dotfiles | /install-deps.sh | UTF-8 | 982 | 2.5625 | 3 | [] | no_license | # https://github.com/jamiew/git-friendly
# the `push` command which copies the github compare URL to my clipboard is heaven
sudo bash < <( curl https://raw.github.com/jamiew/git-friendly/master/install.sh)
# https://rvm.io
# rvm for the rubiess
curl -L https://get.rvm.io | bash -s stable --ruby
# https://github.com/i... | true |
b7917b92a80be1a101231b2df5d436d0fc1f5266 | Shell | RebornQ/LinuxScripts | /centos-init.sh | UTF-8 | 3,760 | 4.09375 | 4 | [] | no_license | #!/bin/bash
# CentOS Linux release (version?) 系统 初始化脚本
# Powered by Reborn
# 参考 https://github.com/bboysoulcn/centos
add_user() {
echo "starting add user ..."
read -p "Username:" username
echo "Password:"
read -s password
sudo adduser $username
if [ "$?" = "0" ]; then
echo $password | sudo passwd --std... | true |
18f282715b290fe658fbefae25e4feaa97249b2b | Shell | cYbercOsmOnauT/phpBB_Vagrant | /scripts/import-db.sh | UTF-8 | 280 | 2.96875 | 3 | [] | no_license | #!/bin/bash
set -e
set -x
dump=` ls -t /mnt/data/live/home/backup/forum/*sql.bz2 | head -n 1`
[ -f $dump ] || exit -1
mysql -uroot -pmysql -e 'DROP DATABASE forum' mysql
mysql -uroot -pmysql -e 'CREATE DATABASE forum' mysql
pv $dump | bunzip2 | mysql -uforum -pforum forum
| true |
c8eb79453daa6740377c606bface335f75a45789 | Shell | zalf-rpm/build-pipeline | /buildscripts/pack-monica-artifact.sh | UTF-8 | 1,168 | 2.984375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
VERSION_NUMBER=$1
MONICA_NAME="monica_$VERSION_NUMBER"
ARTIFACT_ROOT="artifact"
ARTIFACT_FOLDER="$ARTIFACT_ROOT/$MONICA_NAME"
SQLITE_FOLDER="sqlite-db"
ARTIFACT_SQLITE_FOLDER="$ARTIFACT_FOLDER/$SQLITE_FOLDER"
DEPLOY_FOLDER="deployartefact"
rm -rf $DEPLOY_FOLDER
rm -rf $ARTIFACT_ROOT
mkdir -p $ARTIFACT_FOLD... | true |
4c947377d3b3dfa7522bb0479691444ea5584bae | Shell | Amoenus/docker-ghostazurewebapplinux | /init-letsencrypt.sh | UTF-8 | 1,340 | 3.703125 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# We do not need just to renew the Let's Encrypt certificate,
# but also to upload to Azure WebApp and bind it. That's why we
# add a renew hook that calls update-azurewebapp-tls.bash
if ! grep -m 1 -q -- "--renew-hook" /etc/cron.d/certbot; then
echo "init-letsencrypt.sh: Modifying certbot cron job for A... | true |
65740c7afed7b0bd689d64d788c2efff5d893b84 | Shell | asvitkine/phxd | /server/run/exec/find | WINDOWS-1252 | 6,965 | 3.84375 | 4 | [] | no_license | #!/bin/sh
#################################################################
# Title: find
# Date: November 18, 2002
# Author: Devin Teske
# version: 1.3
#
# Dependencies:
# find sed grep tr awk
#
# Details:
# This script conforms to BSD standards. Although, if you
# happen to have a GNU compatible fin... | true |
2bbbb2e3c979710224d617951de3f8e523c087a7 | Shell | gokhankici/dotvim | /dotfiles/install.sh | UTF-8 | 1,536 | 3.59375 | 4 | [] | no_license | #!/bin/zsh
set -e
typeset -A files
THIS_DIR=$HOME/.vim/dotfiles
files=( bashrc $HOME/.bashrc \
clang-format $HOME/.clang-format \
gitconfig $HOME/.gitconfig \
gvimrc $HOME/.gvimrc \
screenrc $HOME/.screenrc \
tmux.conf $HOME/.tmux... | true |
417c3ff08821d8d0d5eefd895dce7f6a8e4bd3df | Shell | christaotaoz/shkd-work | /work/panabit_plugin/pa_plugin/cfy/Route/src/plan_config | GB18030 | 2,191 | 2.71875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#This script is created by ssparser automatically. The parser first created by MaoShouyan
printf "Content-type: text/html;charset=gb2312
Cache-Control: no-cache
"
echo -n "";
. ../common/common.sh
myself="/cgi-bin/Route/`basename $0`"
IPE_PPPOEPLAN=${PGBIN}/ipe_pppoeplan
MOD_TAB_LIST="#${myself} ƻб#/cgi-bi... | true |
6bffcdf3f59474451cdf6809c3fe74046fee3f7a | Shell | NamraOnPC/ShellScripts | /scripts/oldfiles | UTF-8 | 150 | 3.171875 | 3 | [] | no_license | #!/bin/bash
for filename in $(ls $1)
do
echo "$filename" | grep "\.old$" > /dev/null
if [$?!='0']
then mv "$1/$filename" "$1/$filename.old"
fi
done
| true |
717e3c1ec9426e7fe8ef68e6c3a5db1224efb0c9 | Shell | richmonkey/git-cloud | /build.sh | UTF-8 | 925 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
VERSION="0.2.0"
target=./dist/gitCloud-v$VERSION
if [ -d "$target" ]
then
while true; do
read -p "Do you wish to rm $target directory? (y/N)" yn
case $yn in
[Yy]* ) rm -rf $target; break;;
[Nn]* ) exit;;
* ) echo "Please answer yes or no.";;
esac
done
fi
mkdir $target... | true |
158f1499d67725427cb97d22633d76c3a3670e86 | Shell | jarvisschultz/system_configurations | /bashrc.bash | UTF-8 | 6,837 | 3.46875 | 3 | [] | no_license | # ~/.bashrc: executed by bash(1) for non-login shells.
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples
# If not running interactively, don't do anything
[ -z "$PS1" ] && return
# don't put duplicate lines in the history. See bash(1) for more options
# ... or force ignoredups ... | true |
8929ab7a63fc1f442b8c782f41ab4afdf0cd5190 | Shell | troyxmccall/dotfiles | /bin/yesterday | UTF-8 | 1,240 | 3.875 | 4 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/usr/bin/env sh
# based on https://gist.github.com/cgutierrez/9c6149193b3091c7864f362b93216ac8
PROJECTS_DIR=$HOME/projects
LOG_FILE=$PROJECTS_DIR/commits.txt
AUTHOR=$(git config user.name)
# store the current dir
CUR_DIR=$(pwd)
#hey user
echo "Building your commit log from yesterday..."
cd $PROJECTS_DIR
rm -f $... | true |
b6c9693fb85de6087224ea83e69ffeab58e08199 | Shell | davetcoleman/unix_settings | /.my.bashrc | UTF-8 | 18,944 | 3.625 | 4 | [] | no_license | #!/bin/bash
# ~/unix_settings/.my.bashrc Customized bash script for multiple computers
# BASHRC_ENV tells .my.bashrc which environment we are in
#export BASHRC_ENV=mac
# Source users personal .my.bashrc if it exists.
#if [[ -f ~/unix_settings/.my.bashrc ]]; then
# . ~/unix_settings/.my.bashrc
#fi
# If n... | true |
cbfc9ef29d32ebb8d8567810cde93c4bb299796c | Shell | icelab/asdf-mysql | /bin/install | UTF-8 | 1,584 | 3.765625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -eo pipefail
install() {
local install_type="$1"
local version="$2"
local install_path="$3"
local download_url=$(get_download_url $version)
local download_tmp_dir=$(get_tmp_dir)
local download_file_name=$(get_download_file_name $version)
curl -Lo $download_tmp_dir/$download_fil... | true |
1d92ab04dc976af7b432e24f6278ce6fa2515b5f | Shell | foxliu/new-project | /backup_mysqldata_ph_v2.sh | UTF-8 | 1,906 | 3.75 | 4 | [] | no_license | #!/bin/bash
#This is a ShellScript For Auto MysqlDB Backup
#By foxliu2012@gmail.com
#2013-12
#Setting
DBNames=
DBUser=
DBHost=
DBPasswd=
BackupPath=
#Setting END
#progress
t=`date +%Y%m.%d`
y=`expr substr $t 1 4`
md=`expr substr $t 5 5`
backupdir=$(echo "$BackupPath" | sed -e 's/\/$//')/$y/$md
#Backup Method in rysn... | true |
f90b7529bcbf482deb1c6d66a70a6dc13ffa03db | Shell | axiros/termcontrol | /tests/travis_tests_within_xterm.sh | UTF-8 | 365 | 2.90625 | 3 | [] | no_license | #!/bin/bash
rm -f success
d="$(pwd)"
function main {
test "$1" == "start" && {
echo $$ > testpid
xterm -l -e "$0" &
sleep 1
tail -f /home/gk/termcontrol_input.log &
tail -f Xterm.log*
exit 0
}
pytest -xs tests/test_cli -k works && touch "$d/success"
... | true |
9baa960ee51432a2455d6724f43009249e22fc7a | Shell | javiplx/tests-md253 | /bootfs/var/www/cgi-bin/ins_pkg.cgi | BIG5 | 4,273 | 3.171875 | 3 | [] | no_license | #!/bin/sh
echo -e "Content-type: text/html"\\r
echo -e ""\\r
echo -e "<HTML><HEAD><TITLE>Sample CGI Output2</TITLE></HEAD><BODY>"\\r
. /usr/libexec/modules/modules.conf
PASSWD=/etc/passwd
CONF_PATH=/etc/sysconfig/config
SMB_SHARES_CONF=${CONF_PATH}/smb/shares.inc
SMB_HOST_CONF=${CONF_PATH}/smb/host.inc
IFCFG=${CONF_PA... | true |
9ab7c72204fe7a62bac42fa56ac4cf881e51463f | Shell | apolloclark/bash-roles | /packer/install.sh | UTF-8 | 1,089 | 3.796875 | 4 | [] | no_license | #!/bin/bash
set -euxo pipefail
IFS=$'\n\t'
# http://redsymbol.net/articles/unofficial-bash-strict-mode/
# retrieve a link to the latest version
PACKER_VERSION_LATEST=$(curl -sSL https://releases.hashicorp.com/packer/ \
| grep -F '"/packer/' | head -n1 | cut -d '"' -f2 | cut -d '/' -f3);
# get the currently installe... | true |
722c934eed160ca2c6f01703b2b3648f5ecc68a0 | Shell | atlury/lfs | /system/bzip2 | UTF-8 | 584 | 2.59375 | 3 | [] | no_license | #!/tools/bin/bash
set -e
cd /tmp
tar xvf /sources/bzip2-1.0.6.tar.gz -C /tmp
echo "Successfully extract bzip2-1.0.6.tar.gz"
cd /tmp/bzip2-1.0.6
patch -Np1 -i /sources/bzip2-1.0.6-install_docs-1.patch
sed -i 's@\(ln -s -f \)$(PREFIX)/bin/@\1@' Makefile
sed -i "s@(PREFIX)/man@(PREFIX)/share/man@g" Makefile
make -f Makef... | true |
4cda149b2c09d56097c8ccc527fec853c164f6e5 | Shell | mojofunk/abuild | /packages/glib/ABUILD | UTF-8 | 541 | 3.421875 | 3 | [] | no_license | #!/bin/bash
function set_pkg_env
{
PKG_NAME="glib"
PKG_VERSION="2.42.2"
PKG_SRC_DIR="${PKG_NAME}-${PKG_VERSION}"
PKG_SRC_FILE="${PKG_SRC_DIR}.tar.xz"
PKG_SRC_URL="http://ftp.gnome.org/pub/gnome/sources/glib/2.42/${PKG_SRC_FILE}"
# For now it is assumed that glib2-devel is also installed on the
# build system.... | true |
7df7b15c42753ef17546af028081842a5392b877 | Shell | sunnysideup/silverstripe-easy-coding-standards | /bin/sake-git-commit-and-push-vendor-packages | UTF-8 | 4,517 | 4.0625 | 4 | [] | no_license | #!/bin/bash
############################################ BASICS
SCRIPT_DIR="$COMPOSER_RUNTIME_BIN_DIR"
WORKING_DIR=$(pwd)
source $SCRIPT_DIR/sake-self-methods
############################################ DIR
if [ "$1" != "" ]; then
dir=$1;
else
dir='vendor'
fi
############################################ SET... | true |
fd6c9823c64b9170d94558889aacbb9298b0becd | Shell | dellelce/mkit | /modules/lua/build.sh | UTF-8 | 1,699 | 3.828125 | 4 | [] | no_license | lua_platform()
{
typeset platform=$(uname -s| awk -F_ ' { print tolower($1); } ')
[ "$platform" == "cygwin" ] && platform="mingw"
echo $platform
}
#
# Build lua
build_lua_core()
{
typeset rc=0
export rc_conf=0 rc_make=0 rc_makeinstall=0
typeset id="$1"; shift # build id
typeset dir="$1"; shift # src direct... | true |
7d4a73fb849e198f1229585b3f3163dab40b9ce9 | Shell | dihu-stuttgart/iron-tests | /examples/example-0404/run_example.sh | UTF-8 | 619 | 2.96875 | 3 | [] | no_license | #!/bin/bash
# test cases for example-0404 (1D problem with Hodgkin-Huxley)
echo "compiling and running example $(pwd)"
folder=$1
mkdir -p $folder
echo " compiling $folder"
cd $folder
cmake -DCMAKE_BUILD_TYPE=$folder -DOPENCMISS_BUILD_TYPE=$folder ..
make
cd ..
echo " running $folder"
# <number elements X> <interp... | true |
a06f9995f967ba5eae747c284acf983fffe06c66 | Shell | eamarais/eam-group | /docs/geosfp_0.25x03125_eu-03.run | UTF-8 | 1,529 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
#PBS -N geosfp_eu-03
#PBS -l nodes=1:ppn=16
#PBS -l walltime=70:00:00
#PBS -l vmem=40gb
#PBS -M uol-uname@le.ac.uk
#PBS -m bea
# Load environment modules
module load gcc/6.3.0 openmpi/gcc/3.0.0 netcdf/gcc-mpi/4.4.1
# Relevant libraries and other resource information:
export NETCDF_HOME=`nc-config --pref... | true |
5e0ab722920a6e81f9f49f32d03c9b7c02042d8b | Shell | Ciantic/casterson | /get_testdata.sh | UTF-8 | 435 | 2.59375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ ! -f ./test_data/big_buck_bunny.mp4 ]; then
wget -O ./test_data/big_buck_bunny.mp4 http://commondatastorage.googleapis.com/gtv-videos-bucket/big_buck_bunny_1080p.mp4
fi
echo "1
00:00:00,498 --> 00:00:02,826
- This is an example subtitle
second line here. ÄÖäö.
2
00:00:02,826 --> 00:00:06,384
- I... | true |
6377cc8183105a2e6df37c885a91cfaf58710007 | Shell | bacc129/bacc | /build.sh | UTF-8 | 8,150 | 3.875 | 4 | [] | no_license | #!/bin/bash
SOURCE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
function usage()
{
printf "\\tUsage: %s \\n\\t[Build Option -o <Debug|Release|RelWithDebInfo|MinSizeRel>] \\n\\t[CodeCoverage -c] \\n\\t[Doxygen -d] \\n\\t[CoreSymbolName -s <1-7 characters>] \\n\\t[ResourceModel -r <Unlimit|Fee... | true |
3de19cb2ec3d4536dbecd4c91f9ee2b832bf7af5 | Shell | gkaskonas/portfolio-website | /scripts/aws-cli-assumerole.sh | UTF-8 | 929 | 2.546875 | 3 | [
"MIT"
] | permissive | unset AWS_SESSION_TOKEN
if [ $ENVIRONMENT == "prod" ]
then
temp_role=$(aws sts assume-role \
--role-arn "arn:aws:iam::119184259962:role/PipelineRole" \
--role-session-name "circleci-prod")
elif [ $ENVIRONMENT == "test" ]
then
temp_role=$(aws sts assume-role \
... | true |
403f40d1399f21db6ad2d89df25d8a6debd53d02 | Shell | abhchand/reely-ansible | /roles/app/templates/app.sh.j2 | UTF-8 | 936 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# #############################################################################
# Deploys a new app version by rebuilding the image and containers
# This file is managed by Ansible. Any changes may be overwritten.
# #############################################################################
function pri... | true |
4dc5110d8072753ee8d06445174a577fd7b478cb | Shell | oliverjam/fac-resources | /scripts/init_db.sh | UTF-8 | 460 | 3.125 | 3 | [] | no_license | #! /bin/bash
# exit immediately on error
set -e
GREEN="\033[0;92m"
RESET="\033[0m"
psql -q -c "CREATE USER fac_resources_user SUPERUSER PASSWORD 'local123'"
echo "${GREEN}Postgres user 'fac_resources_user' created${RESET}"
psql -q -c "CREATE DATABASE fac_resources WITH OWNER fac_resources_user"
echo "${GREEN}Postgr... | true |
77823c1dad670e2d55b0b792a4002c8ba242cb6d | Shell | vhlaca/zvjezdan | /mvrecording | UTF-8 | 3,354 | 3.890625 | 4 | [] | no_license | #!/bin/bash
# /etc/init.d/mvrecording.sh
#
#
# verzija datoteke 1.0.1
# datum: 03.06.2015
#
# promjene:
# 1.0.1 03.06.2015
# dodano zapisivanje u bazu za svaku datoteku.
#this is where files are recorded
DIR="/mnt/ramdisk"
#this is where files are stored
DESTINATION="/var/www/html/recording/"
#this is minimal lengt... | true |
e215c6279b84319cd970126307bd8a568c30bf37 | Shell | Bae52BRAEVARussell/roamworks_modbus | /rw_mod | UTF-8 | 773 | 2.921875 | 3 | [] | no_license | #!/bin/sh /etc/rc.common
START=98
boot() {
#create folder
[ -d /tmp/rw_modbus_data/ ] || mkdir /tmp/rw_modbus_data/
#killall rw_modbus
stop
#start rw_modbus
imsi=`sendat /dev/ttyACM0 AT+CIMI 1 | grep -v [a-zA-Z] | grep [0-9]`
if [ `expr length "$imsi"` -lt 15 ]; then
echo -e "2003,`date -u +%y%m%d%H%M... | true |
f67771590e6218df18298c432cc8180dc93e65bd | Shell | Loeng/yesmywine_ms | /dockerImage.sh | UTF-8 | 32,762 | 3.4375 | 3 | [] | no_license | # Initialization step
red='\033[0;31m'
green='\033[0;32m'
yellow='\033[0;33m'
plain='\033[0m'
paas_git_repository="/home/repository/yesmywine"
mall_git_repository="/home/repository/yesmywine_ms"
platform=(
paas
mall
)
paas=(
paas-goods
paas-inventory
paas-user
paas-logistics
paas-sms
paas-email
paas-dic
a... | true |
460618166db43d7d5c6472049131b9f2d0727f8f | Shell | katoni/simple-acme-server | /entrypoint.sh | UTF-8 | 920 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
export CONFIG_FILE=${CONFIG_FILE-"/home/step/config/ca.json"}
export PASSWORD_FILE=${PASSWORD_FILE-"/home/step/secrets/password"}
export PASSWORD=${PASSWORD-"password"}
if [ ! -f "${PASSWORD_FILE}" ]; then
mkdir -p $(dirname $PASSWORD_FILE)
echo $PASSWORD > $PASSWORD_FILE
fi
if [ -f "${CONFIG_FILE}" ];... | true |
61985cd7d12c65acf3ff237e9ff403f602a49eb8 | Shell | infrastlabs/ftpsave-repository | /ftp/down1.sh | UTF-8 | 1,450 | 3.34375 | 3 | [] | no_license | #!/bin/bash
repofile="files-repository1.txt"
repourl="http://6.6.6.92"
savepath="/opt/ftp_down" #down>edit, if you need change your savepath before you exec this scripts.
#get files-repository1.txt
export AUTH=root:root
mkdir -p $savepath && cd $savepath
curl -u $AUTH -s $repourl/$repofile > $repofile
#loop judge: ... | true |
3e2b7e63569ec5d1f2426ff071851f04b1170d34 | Shell | bigboards/docker | /push.sh | UTF-8 | 262 | 3.3125 | 3 | [] | no_license | #!/usr/bin/env bash
REPO=$1
ARCH=$(uname -m)
DOCKER="/usr/bin/docker"
source ./$REPO/vars
IMAGE_NAME="bigboards/${REPO}-${ARCH}:${VERSION}"
echo "Logging into the docker hub"
${DOCKER} login
echo "Pushing ${IMAGE_NAME}"
sudo -E ${DOCKER} push ${IMAGE_NAME}
| true |
403bb4747c7afa309b5d1ec42769b991db822772 | Shell | Manasse228/webscapping_perl | /csv2wget.sh | UTF-8 | 352 | 2.96875 | 3 | [] | no_license | #!/bin/bash
rm ./garedetri/05csv/*
rm wget.sh;
i=0; while read line;
do
i=$((i+1));
echo 'wget'' -t1 --timeout=8 -P ./garedetri/17wget/'$line' http://www.'$line >> ./wget.sh;
done < ./garedetri/02source/csv.csv;
#ajout de 2 lignes en debut de fichiers
sed -i 1i'\\' ./wget.sh;
sed -i 1i'\#!/bin/bash\' ./wg... | true |
68a08ebf5410de32526e606b6d5608e38e9e9a24 | Shell | daslerjo/cp4d-deployment | /selfmanaged-openshift/upi/mirror-registry/ocs-disconnected.sh | UTF-8 | 924 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/bash
MIRROR_REGISTRY_DNS=$1
AUTH_FILE="./pull-secret.json"
#Build the catalog for redhat-operators
echo "****************************************"
echo "Build the catalog for redhat-operators"
echo "****************************************"
oc adm catalog build --appregistry-org redhat-operators \
--from=re... | true |
beb973d4cf26105264530ba751ea6dc19532f797 | Shell | anikiandy/cs40 | /lab14/bkup/guessing.sh | UTF-8 | 1,148 | 3.71875 | 4 | [] | no_license | #!/bin/bash
clear
CONTINUE=0
while [ $CONTINUE = 0 ]
do
while [[ $CHOICE != "1" ]] && [[ $CHOICE != "2" ]] && [[ $CHOICE != "3" ]]
do
clear
cat << EOF
~~~~~~GUESSING GAME~~~~~~~~
1. COLOR TV
2. FRIDGE
3. AUTO
What is you choice? (1,2,3)
EOF
read -r CHOICE
done
WIN=0
D=0
GUESS=0
TIMER=0
#Generate money
case $CHOICE ... | true |
58a77119d43a784e9a7f24080fc96a7d8753998b | Shell | RACELAND-Automacao-Lda/openipc-2.1 | /general/overlay/init | UTF-8 | 891 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
on_exit()
{
mountpoint -q /proc && umount /proc
exec /sbin/init $*
}
trap on_exit 0
mount -t proc proc /proc || exit
grep -q overlay /proc/filesystems || exit
mount -t jffs2 /dev/$(awk -F ':' '/rootfs_data/ {print $1}' /proc/mtd | sed 's/mtd/mtdblock/') /overlay || \
mount -t tmpfs tmpfs /overlay ||... | true |
fe78e62e5c160e02832ecd18dc4bddc01e4a7793 | Shell | seansilvestri/k8s-log-forwarder | /docker-entrypoint.sh | UTF-8 | 357 | 2.75 | 3 | [] | no_license | #!/bin/bash
sed -i "s/#LOGSTASH_URI#/${LOGSTASH_URI}/g" /etc/filebeat/filebeat-kubetail.yml
filebeat -e -c filebeat-kubetail.yml &
if [[ ! -z "$FILTER" ]]; then
./kubetail $(echo \"$KUBE_TAIL_OPTIONS\" | tr -d '\"') | grep "$FILTER" >> /var/log/kubetail.log
else
./kubetail $(echo \"$KUBE_TAIL_OPTIONS\" | tr ... | true |
91cee5b18107bf21838e79ecf81a181f36888c7e | Shell | ae97013/sandbox | /setup/bash/bashrc | UTF-8 | 917 | 2.8125 | 3 | [
"Unlicense"
] | permissive | # .bashrc
# Source global definitions
if [ -f /etc/bashrc ]; then
. /etc/bashrc
fi
# User specific aliases and functions
# .bashrc
export PATH="$PATH:/usr/local/bin"
export PATH="$PATH:/usr/software/bin:/usr/software/utils/bin"
export PATH="$PATH:/usr/software/rats/bin:/usr/software/test/bin"
export PATH="$PATH:$HO... | true |
489339da2a215a2d1f973f510d28ae9239fa9139 | Shell | maniacs-oss/remotestories | /scripts/deploy.sh | UTF-8 | 513 | 2.59375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
git config credential.helper "store --file=.git/credentials"
echo "https://${GH_TOKEN}:@github.com" > .git/credentials
if ! git remote | grep api > /dev/null; then
git remote add api https://github.com/ayrbot/remotestories-api.git
fi
git push api `git subtree split --prefix api master`:master --... | true |
7798b649791801a220d02778d1fe2070520f0cb4 | Shell | simedw/Kandidat | /testresults/extract.sh | UTF-8 | 217 | 2.59375 | 3 | [] | no_license | #!/bin/sh
cat $1 | grep "Optimise: $2" | awk '{print $4}' | cut -d ')' -f 1 > indexes
cat $1 | grep "Optimise: $2" | cut -d ')' -f 2 | awk -F "," '{print $2}' > values
paste indexes values
#rm indexes
#rm values
| true |
b19c477a3fdcb306e2be9b4b06fbf90c3d1cb512 | Shell | peterliu2/script | /install_apach_protable_runtime/install_apach_protable_runtime.sh | UTF-8 | 845 | 3.171875 | 3 | [] | no_license | #! /bin/bash
# Program:
# install apach protable runtime
#
set -e
# go somewhere safe
cd /tmp
# get the source to base APR 1.5.2
curl -L -O http://apache.stu.edu.tw/apr/apr-1.5.2.tar.gz
# extract it and go into the source
tar -xzvf apr-1.5.2.tar.gz
cd apr-1.5.2
# configure, make, make install
./configure
make
sud... | true |
49383634f09e16376d42d6ec588b5f5fde87a322 | Shell | roberto-cano/openshift | /install/fix-certificate.sh | UTF-8 | 5,489 | 2.96875 | 3 | [] | no_license | #!/bin/bash -x
# ./install/fix-certificate.sh
#########################################################################
# Copyright (C) 2020 Sebastian Francisco Colomar Bauza #
# SPDX-License-Identifier: GPL-2.0-only #
####################################################... | true |
c76187319238c24601e0a98baca86299c11fa535 | Shell | mattkingston/dotfiles | /lib/npm.sh | UTF-8 | 987 | 3.78125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
npm_update() {
if command -v 'npm' > /dev/null; then
echo "Attempting npm update. Please wait" >> ~/.dotfiles.log
npm install -g npm 1>> ~/.dotfiles.log
print_result $? 'NPM update'
echo "Attempting npm upgrade npm packages. Please wait" >> ~/.dotfiles.log
npm update -g 1>> ~... | true |
095f38d3a0a4f1f54795e083f3448cc20a770398 | Shell | Inobtenio/CoronaPlotter | /core/bash_scripts/plot_total.sh | UTF-8 | 3,717 | 3 | 3 | [] | no_license | #!/usr/bin/env bash
country_label="$(tr [A-Z] [a-z] <<< "$1")"
days_ago=${2}
gnuplot <<- EOF
set print "-"
data_file_name = '../data/total_history.csv'
time_format = '%m-%d-%y'
today_date = strftime(time_format, time(0)-18000)
output_file_relative_path = sprintf('plots/total/${country_label} ${days_ago}... | true |
42f7f71e4e7163c128e297ad9051017d736408c8 | Shell | rbgrouleff/dotfiles | /bash/path | UTF-8 | 486 | 2.515625 | 3 | [] | no_license | #!/usr/bin/env bash
# Add Homebrew stuff to PATH
if [ -d /usr/local/Cellar ]; then
export PATH=/usr/local/bin:$PATH
export PATH=$PATH:/usr/local/sbin
fi
export PATH="$HOME/bin:$PATH"
export PATH="$HOME/.cargo/bin:$PATH"
export PATH="/Applications/Vice/tools:$PATH"
export PATH="$PATH:`yarn global bin`"
# Setup so... | true |
e10dd99f493d5e82a6ee4f027142254c44e3cb81 | Shell | scitokens/scitokens-cpp | /debian/get-orig-source.sh | UTF-8 | 1,080 | 3.84375 | 4 | [
"Apache-2.0",
"BSD-3-Clause",
"BSD-2-Clause",
"MIT"
] | permissive | # Generate a source tarball including submodules
if [ -z "${1}" ] ; then
echo No tag or branch given
exit 1
fi
ver=${1}
# Remove initial v from tag name for use in filenames
if [ ${ver:0:1} = 'v' ] ; then
fver=${ver:1}
else
fver=${ver}
fi
if [ -r scitokens-cpp_${fver}.orig.tar.gz ] ; then
echo scito... | true |
b05474b8a1b146dd7a7b8db2d9ccf0ec950cb1f0 | Shell | jestra52/twitter-sentiment-analysis | /get_full_dataset.sh | UTF-8 | 1,036 | 3.875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# You should run this only ONCE if there's no "movie_data" folder
# To run this you should past a train and test folder, like this:
# $ ./get_full_dataset.sh TRAIN_DATA_DIR TEST_DATA_DIR
# Note: you should consider that each folder must have pos and neg directories
TRAIN_DATA_DIR=$1
TEST_DATA_DIR=$2
RE... | true |
b4d0d620808c78cbc824b91ec9bc8d42c3d84a8e | Shell | ryenus/git-relnotes | /git-relnotes | UTF-8 | 794 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -e
if [ "$1" = "-l" ]; then
curl -s "https://github.com/git/git/releases" \
| sed -n -E 's,.*"/git/git/releases/tag/v([-0-9.rc]+)".*,\1,p'
elif [ "$1" = "-L" ]; then
curl -s "https://github.com/git/git/tree/master/Documentation/RelNotes/" \
| awk -F'[><]' '/\.txt</ {print substr($5,1,lengt... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.